Summary: 	A userspace implementation of devfs
Name: 		udev
Version: 	141
Release: 	1
License: 	GPL
Group: 		Libraries
Source0: 	ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/%{name}-%{version}.tar.bz2
Source1:	udev_aLinux.tar.bz2
Source2:	rtfirm.tar.bz2
Patch0:         %{name}.diff
ExclusiveOS: 	Linux
BuildRequires: 	coreutils pcmciautils
Obsoletes:      pcmcia-cs, hotplug >= 2004_09_23, hotplug >= 2004_09_23-1, hotplug
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
udev is a implementation of devfs in userspace using sysfs. It requires the kernel
2.6.15 or greater to run properly.

To extract firmware:
b43-fwcutter -w /lib/firmware/ wl_apsta_mimo.o

%package 	devel
Summary: 	Static libraries and header files from the UDEV library
Group: 		Development

%description 	devel
Static libraries and header files from the UDEV library

%prep
%setup -q
%patch0 -p0

%build
%configure  --without-selinux \
	    --prefix=%{_prefix} \
	    --exec-prefix="" \
	    --sysconfdir=%{_sysconfdir} \
	    --with-libdir-name=%{_lib} \
	    --sbindir="/sbin" \
	    --disable-static \
	    --disable-introspection
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
make DESTDIR=$RPM_BUILD_ROOT install
cp extras/volume_id/lib/libvolume_id-private.h $RPM_BUILD_ROOT%{_includedir}/
ln -sf ../../sbin/udevadm $RPM_BUILD_ROOT%{_bindir}/udevinfo
ln -sf ../../sbin/udevadm $RPM_BUILD_ROOT%{_bindir}/udevtest
ln -sf ../../sbin/udevadm $RPM_BUILD_ROOT%{_sbindir}/udevmonitor

ln -sf udevadm $RPM_BUILD_ROOT/sbin/udevtrigger
ln -sf udevadm $RPM_BUILD_ROOT/sbin/udevsettle
ln -sf udevadm $RPM_BUILD_ROOT/sbin/udevcontrol
ln -sf ../../sbin/udevsettle $RPM_BUILD_ROOT/usr/bin/udev.count_events
ln -sf udevsettle $RPM_BUILD_ROOT/sbin/udevsend
cp extras/path_id/path_id $RPM_BUILD_ROOT/lib/udev/
mkdir -p $RPM_BUILD_ROOT/dev/.udev/queue
mkdir -p $RPM_BUILD_ROOT/dev/net
mkdir -p $RPM_BUILD_ROOT/dev/pts
mkdir -p $RPM_BUILD_ROOT/dev/shm
mknod -m 666 $RPM_BUILD_ROOT/dev/null c 1 3
mknod -m 666 $RPM_BUILD_ROOT/dev/console c 5 1
tar xjpf %{SOURCE1} -C $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/lib/udev/rules.d/* $RPM_BUILD_ROOT/etc/udev/rules.d/
chmod 0755 $RPM_BUILD_ROOT/lib/udev/path_id
cd $RPM_BUILD_ROOT/sbin; ln -sf ../lib/udev/*_id .
ln -sf firmware.sh $RPM_BUILD_ROOT/lib/udev/firmware_helper
rmdir $RPM_BUILD_ROOT/lib/udev/rules.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /var/lock/subsys/coldplug || :

%postun
rm /var/lock/subsys/coldplug || :

%files
%defattr(-,root,root)
/dev
/etc
/lib
/sbin
/usr/bin
/usr/man
/usr/sbin
/usr/lib/*.so

%files devel
%defattr(-,root,root)
/usr/lib/pkgconfig
/usr/include
